%global debug_package %{nil}
%global bin_name ksops

Name:           kustomize-sops
Version:        4.3.3
Release:        1%{?dist}
Summary:        KSOPS - A Flexible Kustomize Plugin for SOPS Encrypted Resources.

License:        Apache-2.0
URL:            https://github.com/viaduct-ai/%{name}
Source:         https://github.com/viaduct-ai/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  go

%description
KSOPS, or kustomize-SOPS, is a kustomize KRM exec plugin for SOPS encrypted resources.
KSOPS can be used to decrypt any Kubernetes resource, but is most commonly used
to decrypt encrypted Kubernetes Secrets and ConfigMaps. As a kustomize plugin,
KSOPS allows you to manage, build, and apply encrypted manifests
the same way you manage the rest of your Kubernetes manifests.

%prep
%autosetup -n %{name}-%{version}

%build
go build -ldflags "-w" -o %{bin_name}

%install
install -Dpm 0755 ./%{bin_name} %{buildroot}%{_bindir}/%{bin_name}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{bin_name}

%changelog
* Wed Apr 09 2025 Andrey Brusnik <dev@shdwchn.io> - 4.3.3-1
- feat: Add kustomize-sops package
